package com.sxtvs.open.api.clue.controller;

import com.sxtvs.open.core.sls.AliyunLogger;
import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.io.IOException;

@Controller
@RequestMapping("clue")
public class WxClueController {

    @Resource
    private AliyunLogger logger;

    @RequestMapping("wx_create")
    public void wxCreate(@RequestBody(required = false) String wxXml, @RequestParam("echostr") String nonce, HttpServletResponse response) throws IOException {

        logger.info("wx xml", wxXml);
        response.getWriter().write(nonce);

    }
}
